> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/88.-mutasjon-eksporter-zonesmap-som-zippet-shapefile.md).

# 88. Mutasjon: Eksporter ZonesMap som zippet shapefile

Generer et zip-arkiv med den valgte "ZonesMap" som shapefile.

{% hint style="info" %}
Arkivet består av \*.shp, \*.shx, \*.prj, \*.dbf-filer i EPSG:4326.
{% endhint %}

### 1. Forberedelse

* Attributtet `vectorAnalysisMaps` inneholder et array av ZonesMaps (VectorAnalysisMaps)-objekter som skal eksporteres. Hvert slikt objekt inkluderer et par `fieldUuid` (kobling til det valgte feltet) og `uuid` (kobling til den valgte ZonesMap).
* Det boolske attributtet `asMultiGeometry` avgjør om sonene eksporteres som `Polygoner` eller `MultiPolygoner` (når satt til `true` ).
* Det boolske attributtet `onlyProductColumns` spesifiserer om bare kolonner med produkter (RX) skal inkluderes i shapefilen (når `true`). Ellers vil alle statistiske attributter og sone-IDer bli inkludert som kolonner.
* Attributtet `archiveName` inneholder navnet på det genererte zip-arkivet.
* Attributtet `filePostfix` lar deg legge til tilpassede suffikser på de eksporterede filene og arkivet.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Last ned det genererte arkivet

Etter kjøring av GraphQL-spørringen er det mulig å laste det ned ved hjelp av `curl` eller en lignende fremgangsmåte.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/88.-mutasjon-eksporter-zonesmap-som-zippet-shapefile.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
